# List countries

> Retrieve a paginated list of countries.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/countries`

Retrieves the collection of Country resources.

Returns a paginated collection of countries in the current organization. Set `Flowkiwi-Locale` to read the translatable `name` in a given locale.

## Headers

| Name              | Type     | Required | Description                                                                                                      |
| ----------------- | -------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
| `Flowkiwi-Locale` | `string` | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |

## Query parameters

| Name               | Type       | Required | Description                                                                                                                                                                                                                                                                          |
| ------------------ | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `page`             | `integer`  | -        | The collection page number                                                                                                                                                                                                                                                           |
| `itemsPerPage`     | `integer`  | -        | The number of items per page                                                                                                                                                                                                                                                         |
| `properties[]`     | `string[]` | -        | Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty} |
| `id[]`             | `string[]` | -        | Only the items with one of these ids, each a UUID or the item IRI.                                                                                                                                                                                                                   |
| `code`             | `string`   | -        | Country code                                                                                                                                                                                                                                                                         |
| `code[]`           | `string[]` | -        | Country code                                                                                                                                                                                                                                                                         |
| `name`             | `string`   | -        | Filter on the translated "name" field (case-insensitive partial match, uses the Flowkiwi-Locale header).                                                                                                                                                                             |
| `search`           | `string`   | -        | Free-text search across: code, name (case-insensitive, partial match)                                                                                                                                                                                                                |
| `order[name]`      | `string`   | -        | Order by translated field "name" (uses the Flowkiwi-Locale header)                                                                                                                                                                                                                   |
| `order[code]`      | `string`   | -        | Country order[code]                                                                                                                                                                                                                                                                  |
| `order[createdAt]` | `string`   | -        | Country order[createdAt]                                                                                                                                                                                                                                                             |
| `order[updatedAt]` | `string`   | -        | Country order[updatedAt]                                                                                                                                                                                                                                                             |

## Response

**200** - Country collection

| Property     | Type        | Required | Description |
| ------------ | ----------- | -------- | ----------- |
| `search`     | `object`    | -        |             |
| `totalItems` | `integer`   | -        |             |
| `view`       | `object`    | -        |             |
| `member`     | `Country[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more permissions required for this operation.

| Property             | Type               | Required | Description                                                                                                            |
| -------------------- | ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------- |
| `@context`           | `string \| object` | -        |                                                                                                                        |
| `@id`                | `string`           | Yes      |                                                                                                                        |
| `@type`              | `string`           | Yes      |                                                                                                                        |
| `detail`             | `string`           | -        |                                                                                                                        |
| `missingPermissions` | `string[]`         | -        | Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission. |
| `status`             | `integer`          | -        |                                                                                                                        |
| `title`              | `string`           | -        |                                                                                                                        |
| `type`               | `string`           | -        |                                                                                                                        |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/countries' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: unstable' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/Country",
  "@id": "/api/countries",
  "@type": "Collection",
  "member": [
    {
      "@context": "/api/contexts/Country",
      "@id": "/api/countries/019af8c2-3d4e-7f50-8a61-2b3c4d5e6f70",
      "@type": "Country",
      "code": "FR",
      "createdAt": "2026-01-15T09:30:00+00:00",
      "id": "019af8c2-3d4e-7f50-8a61-2b3c4d5e6f70",
      "name": "France",
      "updatedAt": "2026-02-03T14:45:12+00:00"
    }
  ],
  "totalItems": 1
}
```
